Bug 205070 - segfault when I click play.
segfault when I click play.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-03 10:54 EDT by Dave Jones
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.10.10-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-01 09:06:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-09-03 10:54:08 EDT
started rb, had 53 songs queued from the last time it was loaded, clicked play,
and it segfaulted.  It's 100% reproducable for me every time I try.

Here's the backtrace that appeared in bug-buddy when it crashed.

0x00000033c540e77f in waitpid () from /lib64/libpthread.so.0
#0  0x00000033c540e77f in waitpid () from /lib64/libpthread.so.0
#1  0x0000003f24856d87 in gnome_gtk_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
#2  <signal handler called>
#3  0x00002aaab6dbc98a in gst_file_src_get_type ()
   from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#4  0x00000033d760d2f8 in gst_base_src_get_type ()
   from /usr/lib64/libgstbase-0.10.so.0
#5  0x00000033d760dd98 in gst_base_src_get_type ()
   from /usr/lib64/libgstbase-0.10.so.0
#6  0x00000033d8244c1f in gst_pad_get_range ()
   from /usr/lib64/libgstreamer-0.10.so.0
#7  0x00000033d82450d9 in gst_pad_pull_range ()
   from /usr/lib64/libgstreamer-0.10.so.0
#8  0x00000033d823b1df in gst_ghost_pad_new_no_target ()
   from /usr/lib64/libgstreamer-0.10.so.0
#9  0x00000033d761818d in gst_type_find_helper ()
   from /usr/lib64/libgstbase-0.10.so.0
#10 0x00002aaab77e421d in mpeg_ts_probe_headers ()
   from /usr/lib64/gstreamer-0.10/libgsttypefindfunctions.so
#11 0x00000033d7617f3d in gst_type_find_helper_get_range ()
   from /usr/lib64/libgstbase-0.10.so.0
#12 0x00002aaab6dc5aaf in gst_type_find_element_get_type ()
   from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#13 0x00000033d824b72d in gst_pad_set_active ()
   from /usr/lib64/libgstreamer-0.10.so.0
#14 0x00000033d82365c3 in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
#15 0x00000033d82404e3 in gst_iterator_fold ()
   from /usr/lib64/libgstreamer-0.10.so.0
#16 0x00000033d8236142 in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
#17 0x00000033d8236208 in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
#18 0x00000033d82364ec in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
#19 0x00002aaab6dc5fac in gst_type_find_element_get_type ()
   from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#20 0x00000033d82331f7 in gst_element_continue_state ()
   from /usr/lib64/libgstreamer-0.10.so.0
#21 0x00000033d8235df5 in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
#22 0x00000033d8228bef in gst_bin_add ()
   from /usr/lib64/libgstreamer-0.10.so.0
#23 0x00002aaab71dcd22 in ?? ()
   from /usr/lib64/gstreamer-0.10/libgstdecodebin.so
#24 0x00000033d82331f7 in gst_element_continue_state ()
   from /usr/lib64/libgstreamer-0.10.so.0
#25 0x00000033d82332d4 in gst_element_continue_state ()
   from /usr/lib64/libgstreamer-0.10.so.0
#26 0x00000033d8235df5 in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
#27 0x00000033d8228bef in gst_bin_add ()
   from /usr/lib64/libgstreamer-0.10.so.0
#28 0x00000033d824d7ff in gst_pipeline_set_new_stream_time ()
   from /usr/lib64/libgstreamer-0.10.so.0
#29 0x00002aaab6ba48b4 in gst_play_base_bin_get_type ()
   from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#30 0x00002aaab6b9fe54 in ?? ()
   from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#31 0x00000033d82331f7 in gst_element_continue_state ()
   from /usr/lib64/libgstreamer-0.10.so.0
#32 0x00000033d82332d4 in gst_element_continue_state ()
   from /usr/lib64/libgstreamer-0.10.so.0
#33 0x00000033d8235df5 in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
#34 0x000000000049a323 in rb_player_gst_new ()
#35 0x000000000049b0bf in rb_player_gst_new ()
#36 0x00000000004365fd in rb_shell_player_set_playing_source ()
#37 0x0000000000436a19 in rb_shell_player_playpause ()
#38 0x0000000000436c15 in rb_shell_player_pause ()
#39 0x00000033c700b16a in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#40 0x00000033c701b3bd in g_signal_override_class_closure ()
   from /lib64/libgobject-2.0.so.0
#41 0x00000033c701c826 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#42 0x00000033c701ca03 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#43 0x0000003f23a65013 in gtk_widget_get_action ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#44 0x00000033c700b16a in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#45 0x00000033c701b3bd in g_signal_override_class_closure ()
   from /lib64/libgobject-2.0.so.0
#46 0x00000033c701c826 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#47 0x00000033c701e3d0 in g_signal_emit_by_name ()
   from /lib64/libgobject-2.0.so.0
#48 0x00000033c700b16a in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#49 0x00000033c701b3bd in g_signal_override_class_closure ()
   from /lib64/libgobject-2.0.so.0
#50 0x00000033c701c826 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#51 0x00000033c701ca03 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#52 0x0000003f23be4ef5 in gtk_toggle_action_new ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#53 0x00000033c700b16a in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#54 0x00000033c701b80d in g_signal_override_class_closure ()
   from /lib64/libgobject-2.0.so.0
#55 0x00000033c701c826 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#56 0x00000033c701ca03 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#57 0x0000003f23a74fa9 in gtk_button_released ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#58 0x0000003f23b31b6d in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#59 0x00000033c700b16a in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#60 0x00000033c701b9dd in g_signal_override_class_closure ()
   from /lib64/libgobject-2.0.so.0
#61 0x00000033c701c5ef in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#62 0x00000033c701ca03 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#63 0x0000003f23c2e93e in gtk_widget_get_default_style ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#64 0x0000003f23b2b26d in gtk_propagate_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#65 0x0000003f23b2c281 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#66 0x0000003f2404681c in gdk_add_client_message_filter ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#67 0x00000033c602cf44 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#68 0x00000033c602fd7d in g_main_context_check () from /lib64/libglib-2.0.so.0
#69 0x00000033c603008a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#70 0x0000003f23b2c613 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#71 0x000000000042c350 in main ()

Thread 2 (Thread 1084229952 (LWP 3219)):
#0  0x00000033c540b417 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000033d0602510 in ?? () from /lib64/libgthread-2.0.so.0
No symbol table info available.
#2  0x00000033c6011403 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00000033c6011511 in g_async_queue_timed_pop ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#4  0x000000000048ac6d in rhythmdb_entry_move_to_trash ()
No symbol table info available.
#5  0x00000033c6048f24 in g_thread_create_full () from /lib64/libglib-2.0.so.0
No symbol table info available.
#6  0x00000033c5407157 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#7  0x00000033c48d04ad in clone () from /lib64/libc.so.6
No symbol table info available.
#8  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 46912496325728 (LWP 3210)):
#0  0x00000033c540e77f in waitpid () from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003f24856d87 in gnome_gtk_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x00002aaab6dbc98a in gst_file_src_get_type ()
   from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
No symbol table info available.
#4  0x00000033d760d2f8 in gst_base_src_get_type ()
   from /usr/lib64/libgstbase-0.10.so.0
No symbol table info available.
#5  0x00000033d760dd98 in gst_base_src_get_type ()
   from /usr/lib64/libgstbase-0.10.so.0
No symbol table info available.
#6  0x00000033d8244c1f in gst_pad_get_range ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#7  0x00000033d82450d9 in gst_pad_pull_range ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#8  0x00000033d823b1df in gst_ghost_pad_new_no_target ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#9  0x00000033d761818d in gst_type_find_helper ()
   from /usr/lib64/libgstbase-0.10.so.0
No symbol table info available.
#10 0x00002aaab77e421d in mpeg_ts_probe_headers ()
   from /usr/lib64/gstreamer-0.10/libgsttypefindfunctions.so
No symbol table info available.
#11 0x00000033d7617f3d in gst_type_find_helper_get_range ()
   from /usr/lib64/libgstbase-0.10.so.0
No symbol table info available.
#12 0x00002aaab6dc5aaf in gst_type_find_element_get_type ()
   from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
No symbol table info available.
#13 0x00000033d824b72d in gst_pad_set_active ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#14 0x00000033d82365c3 in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#15 0x00000033d82404e3 in gst_iterator_fold ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#16 0x00000033d8236142 in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#17 0x00000033d8236208 in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#18 0x00000033d82364ec in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#19 0x00002aaab6dc5fac in gst_type_find_element_get_type ()
   from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
No symbol table info available.
#20 0x00000033d82331f7 in gst_element_continue_state ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#21 0x00000033d8235df5 in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#22 0x00000033d8228bef in gst_bin_add ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#23 0x00002aaab71dcd22 in ?? ()
   from /usr/lib64/gstreamer-0.10/libgstdecodebin.so
No symbol table info available.
#24 0x00000033d82331f7 in gst_element_continue_state ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#25 0x00000033d82332d4 in gst_element_continue_state ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#26 0x00000033d8235df5 in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#27 0x00000033d8228bef in gst_bin_add ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#28 0x00000033d824d7ff in gst_pipeline_set_new_stream_time ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#29 0x00002aaab6ba48b4 in gst_play_base_bin_get_type ()
   from /usr/lib64/gstreamer-0.10/libgstplaybin.so
No symbol table info available.
#30 0x00002aaab6b9fe54 in ?? ()
   from /usr/lib64/gstreamer-0.10/libgstplaybin.so
No symbol table info available.
#31 0x00000033d82331f7 in gst_element_continue_state ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#32 0x00000033d82332d4 in gst_element_continue_state ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#33 0x00000033d8235df5 in gst_element_release_request_pad ()
   from /usr/lib64/libgstreamer-0.10.so.0
No symbol table info available.
#34 0x000000000049a323 in rb_player_gst_new ()
No symbol table info available.
#35 0x000000000049b0bf in rb_player_gst_new ()
No symbol table info available.
#36 0x00000000004365fd in rb_shell_player_set_playing_source ()
No symbol table info available.
#37 0x0000000000436a19 in rb_shell_player_playpause ()
No symbol table info available.
#38 0x0000000000436c15 in rb_shell_player_pause ()
No symbol table info available.
#39 0x00000033c700b16a in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#40 0x00000033c701b3bd in g_signal_override_class_closure ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#41 0x00000033c701c826 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#42 0x00000033c701ca03 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#43 0x0000003f23a65013 in gtk_widget_get_action ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#44 0x00000033c700b16a in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#45 0x00000033c701b3bd in g_signal_override_class_closure ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#46 0x00000033c701c826 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#47 0x00000033c701e3d0 in g_signal_emit_by_name ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#48 0x00000033c700b16a in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#49 0x00000033c701b3bd in g_signal_override_class_closure ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#50 0x00000033c701c826 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#51 0x00000033c701ca03 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#52 0x0000003f23be4ef5 in gtk_toggle_action_new ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#53 0x00000033c700b16a in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#54 0x00000033c701b80d in g_signal_override_class_closure ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#55 0x00000033c701c826 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#56 0x00000033c701ca03 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#57 0x0000003f23a74fa9 in gtk_button_released ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#58 0x0000003f23b31b6d in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#59 0x00000033c700b16a in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#60 0x00000033c701b9dd in g_signal_override_class_closure ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#61 0x00000033c701c5ef in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#62 0x00000033c701ca03 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#63 0x0000003f23c2e93e in gtk_widget_get_default_style ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#64 0x0000003f23b2b26d in gtk_propagate_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#65 0x0000003f23b2c281 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#66 0x0000003f2404681c in gdk_add_client_message_filter ()
   from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#67 0x00000033c602cf44 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#68 0x00000033c602fd7d in g_main_context_check () from /lib64/libglib-2.0.so.0
No symbol table info available.
#69 0x00000033c603008a in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#70 0x0000003f23b2c613 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#71 0x000000000042c350 in main ()
No symbol table info available.
#0  0x00000033c540e77f in waitpid () from /lib64/libpthread.so.0
Comment 1 Dave Jones 2006-09-03 11:13:55 EDT
Filed upstream as http://bugzilla.gnome.org/show_bug.cgi?id=354132 and promptly
duped against http://bugzilla.gnome.org/show_bug.cgi?id=348455 which points it
out to be a gstreamer bug.

Comment 2 Bastien Nocera 2007-02-01 09:06:03 EST
The upstream bug was fixed in 0.10.10, which is the current FC6 version.

Note You need to log in before you can comment on or make changes to this bug.